Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.servlets.jsp.taglib
Class SetPropertyTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
                  |
                  +--com.bea.p13n.usermgmt.servlets.jsp.taglib.PropertyTag
                        |
                        +--com.bea.p13n.usermgmt.servlets.jsp.taglib.SetPropertyTag

public class SetPropertyTag
extends PropertyTag

Corresponds to `<um:setProperty>`.

The `<um:setProperty>` tag updates a property value for either the session's current profile, or for the Anonymous User Profile. The tag has no enclosed body.

Tag Attribute | Required | Type | Description
propertySet | no | String | The Property Set in which the property's value is to be set. Example: "Demo Portal". Note: The property is set for the profile's default (unscoped) properties if no property set is provided.
propertyName | yes | String | The name of the property to be set. Example: "background_color".
value | yes | String | The new property value. Example: "green".
result | no | String | The name of an Integer variable to which the result of the set property operation is assigned. Possible Values: Success: `UserManagerTagConstants.SET_PROPERTY_OK` Error encountered: `UserManagerTagConstants.SET_PROPERTY_FAILED`

See Also:
  Serialized Form

Fields inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`GROUP_MGR_REF, USER_MGR_REF`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`SetPropertyTag()`

Method Summary
`int` | `doStartTag()` Set the property in the current profile.
`java.lang.String` | `getResult()` Get the name of the variable to assign the result to
`java.lang.Object` | `getValue()` Get the value to set for the property
`void` | `release()` Reset all of the tag's attributes
`void` | `setResult(java.lang.String s)` Set the name of the variable to assign the result to
`void` | `setValue(java.lang.Object o)` Set the value to set for the property
`void` | `setValue(java.lang.String s)` Set the value to set for the property, as a String

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.PropertyTag
`getPropertyName, getPropertySet, setPropertyName, setPropertySet`

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`getGroupManager, getUserManager`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetPropertyTag

    public SetPropertyTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Set the property in the current profile.

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### release

    public void release()

  Reset all of the tag's attributes

  Overrides:
    release in class PropertyTag

### getValue

    public java.lang.Object getValue()

  Get the value to set for the property

### setValue

    public void setValue(java.lang.Object o)

  Set the value to set for the property

### setValue

    public void setValue(java.lang.String s)

  Set the value to set for the property, as a String

### getResult

    public java.lang.String getResult()

  Get the name of the variable to assign the result to

### setResult

    public void setResult(java.lang.String s)

  Set the name of the variable to assign the result to

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved